## r-bioc-degnorm 1.4.0+ds

=== DESCRIPTION ===
Package: DegNorm
Type: Package
Title: DegNorm: degradation normalization for RNA-seq data
Version: 1.4.0
Date: 2020-09-22
Author: Bin Xiong and Ji-Ping Wang
Maintainer: Ji-Ping Wang <jzwang@northwestern.edu>
biocViews: RNASeq, Normalization, GeneExpression, Alignment,Coverage,
        DifferentialExpression, BatchEffect,Software,Sequencing,
        ImmunoOncology, QualityControl, DataImport
Description: This package performs degradation normalization in bulk RNA-seq data to improve differential expression analysis accuracy.
License: LGPL (>= 3)
Depends: R (>= 4.0.0), methods
Imports: Rcpp (>= 1.0.2),GenomicFeatures, parallel, foreach, S4Vectors,
        doParallel, Rsamtools (>= 1.31.2), GenomicAlignments,
        heatmaply, data.table, stats, ggplot2, GenomicRanges, IRanges,
        plyr, plotly, utils,viridis
LinkingTo: Rcpp, RcppArmadillo,S4Vectors,IRanges
NeedsCompilation: yes
Packaged: 2021-10-26 21:19:23 UTC; biocbuild
Suggests: knitr,rmarkdown,formatR
VignetteBuilder: knitr
BugReports: https://github.com/jipingw/DegNorm/issues
git_url: https://git.bioconductor.org/packages/DegNorm
git_branch: RELEASE_3_14
git_last_commit: a1776e6
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26

=== debian/changelog ===
r-bioc-degnorm (1.4.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 08:03:05 +0100

r-bioc-degnorm (1.2.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Sat, 06 Nov 2021 07:01:35 +0100

r-bioc-degnorm (1.2.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #992630)

 -- Steffen Moeller <moeller@debian.org>  Tue, 28 Sep 2021 21:46:43 +0200

=== debian/control ===
Source: r-bioc-degnorm
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 1.0.2),
               r-bioc-genomicfeatures,
               r-cran-foreach,
               r-bioc-s4vectors,
               r-cran-doparallel,
               r-bioc-rsamtools,
               r-bioc-genomicalignments,
               r-cran-heatmaply,
               r-cran-data.table,
               r-cran-ggplot2,
               r-bioc-genomicranges,
               r-bioc-iranges,
               r-cran-plyr,
               r-cran-plotly,
               r-cran-viridis,
               r-cran-rcpparmadillo
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-degnorm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-degnorm.git
Homepage: https://bioconductor.org/packages/DegNorm/
Rules-Requires-Root: no

Package: r-bioc-degnorm
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: DegNorm: degradation normalization for RNA-seq data
 This package performs degradation normalization in bulk RNA-seq data to
 improve differential expression analysis accuracy.

## r-bioc-degnorm 1.6.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DegNorm
 Type: Package
 Title: DegNorm: degradation normalization for RNA-seq data
-Version: 1.4.0
+Version: 1.6.1
 Date: 2020-09-22
 Author: Bin Xiong and Ji-Ping Wang
 Maintainer: Ji-Ping Wang <jzwang@northwestern.edu>
@@ -17,12 +17,12 @@
         plyr, plotly, utils,viridis
 LinkingTo: Rcpp, RcppArmadillo,S4Vectors,IRanges
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:19:23 UTC; biocbuild
+Packaged: 2022-06-26 20:18:38 UTC; biocbuild
 Suggests: knitr,rmarkdown,formatR
 VignetteBuilder: knitr
 BugReports: https://github.com/jipingw/DegNorm/issues
 git_url: https://git.bioconductor.org/packages/DegNorm
-git_branch: RELEASE_3_14
-git_last_commit: a1776e6
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 7279ff0
+git_last_commit_date: 2022-06-25
+Date/Publication: 2022-06-26

=== debian/changelog ===
r-bioc-degnorm (1.6.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jun 2022 08:03:32 +0200

r-bioc-degnorm (1.6.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 20:37:02 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                r-cran-plotly,
                r-cran-viridis,
                r-cran-rcpparmadillo
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-degnorm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-degnorm.git
 Homepage: https://bioconductor.org/packages/DegNorm/

## r-bioc-degnorm 1.8.2+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: DegNorm
 Type: Package
 Title: DegNorm: degradation normalization for RNA-seq data
-Version: 1.6.1
-Date: 2020-09-22
+Version: 1.8.2
+Date: 2022-06-03
 Author: Bin Xiong and Ji-Ping Wang
 Maintainer: Ji-Ping Wang <jzwang@northwestern.edu>
 biocViews: RNASeq, Normalization, GeneExpression, Alignment,Coverage,
@@ -17,12 +17,12 @@
         plyr, plotly, utils,viridis
 LinkingTo: Rcpp, RcppArmadillo,S4Vectors,IRanges
 NeedsCompilation: yes
-Packaged: 2022-06-26 20:18:38 UTC; biocbuild
+Packaged: 2023-01-19 21:25:18 UTC; biocbuild
 Suggests: knitr,rmarkdown,formatR
 VignetteBuilder: knitr
 BugReports: https://github.com/jipingw/DegNorm/issues
 git_url: https://git.bioconductor.org/packages/DegNorm
-git_branch: RELEASE_3_15
-git_last_commit: 7279ff0
-git_last_commit_date: 2022-06-25
-Date/Publication: 2022-06-26
+git_branch: RELEASE_3_16
+git_last_commit: cfa5bdd
+git_last_commit_date: 2023-01-19
+Date/Publication: 2023-01-19

=== debian/changelog ===
r-bioc-degnorm (1.8.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 11:50:45 +0100

r-bioc-degnorm (1.8.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2022 16:44:06 +0100

r-bioc-degnorm (1.8.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 20:22:40 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                r-cran-plotly,
                r-cran-viridis,
                r-cran-rcpparmadillo
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-degnorm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-degnorm.git
 Homepage: https://bioconductor.org/packages/DegNorm/

## r-bioc-degnorm 1.10.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DegNorm
 Type: Package
 Title: DegNorm: degradation normalization for RNA-seq data
-Version: 1.8.2
+Version: 1.10.1
 Date: 2022-06-03
 Author: Bin Xiong and Ji-Ping Wang
 Maintainer: Ji-Ping Wang <jzwang@northwestern.edu>
@@ -17,12 +17,12 @@
         plyr, plotly, utils,viridis
 LinkingTo: Rcpp, RcppArmadillo,S4Vectors,IRanges
 NeedsCompilation: yes
-Packaged: 2023-01-19 21:25:18 UTC; biocbuild
+Packaged: 2023-05-02 20:30:30 UTC; biocbuild
 Suggests: knitr,rmarkdown,formatR
 VignetteBuilder: knitr
 BugReports: https://github.com/jipingw/DegNorm/issues
 git_url: https://git.bioconductor.org/packages/DegNorm
-git_branch: RELEASE_3_16
-git_last_commit: cfa5bdd
-git_last_commit_date: 2023-01-19
-Date/Publication: 2023-01-19
+git_branch: RELEASE_3_17
+git_last_commit: 3d3414b
+git_last_commit_date: 2023-05-01
+Date/Publication: 2023-05-02

=== debian/changelog ===
r-bioc-degnorm (1.10.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 15:11:05 +0200

## r-bioc-degnorm 1.12.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DegNorm
 Type: Package
 Title: DegNorm: degradation normalization for RNA-seq data
-Version: 1.10.1
+Version: 1.12.0
 Date: 2022-06-03
 Author: Bin Xiong and Ji-Ping Wang
 Maintainer: Ji-Ping Wang <jzwang@northwestern.edu>
@@ -17,12 +17,12 @@
         plyr, plotly, utils,viridis
 LinkingTo: Rcpp, RcppArmadillo,S4Vectors,IRanges
 NeedsCompilation: yes
-Packaged: 2023-05-02 20:30:30 UTC; biocbuild
+Packaged: 2023-10-24 20:59:52 UTC; biocbuild
 Suggests: knitr,rmarkdown,formatR
 VignetteBuilder: knitr
 BugReports: https://github.com/jipingw/DegNorm/issues
 git_url: https://git.bioconductor.org/packages/DegNorm
-git_branch: RELEASE_3_17
-git_last_commit: 3d3414b
-git_last_commit_date: 2023-05-01
-Date/Publication: 2023-05-02
+git_branch: RELEASE_3_18
+git_last_commit: 405e5cb
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24

=== debian/changelog ===
r-bioc-degnorm (1.12.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 10:26:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 1.0.2),
+               r-cran-rcpp,
                r-bioc-genomicfeatures,
                r-cran-foreach,
                r-bioc-s4vectors,

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/DegNorm.html .*/DegNorm_(.*).tar.gz

## r-bioc-degnorm 1.14.0+ds

=== DESCRIPTION ===
Package: DegNorm
Type: Package
Title: DegNorm: degradation normalization for RNA-seq data
Version: 1.14.0
Date: 2024-03-26
Author: Bin Xiong and Ji-Ping Wang
Maintainer: Ji-Ping Wang <jzwang@northwestern.edu>
biocViews: RNASeq, Normalization, GeneExpression, Alignment,Coverage,
        DifferentialExpression, BatchEffect,Software,Sequencing,
        ImmunoOncology, QualityControl, DataImport
Description: This package performs degradation normalization in bulk RNA-seq data to improve differential expression analysis accuracy.
License: LGPL (>= 3)
Depends: R (>= 4.0.0), methods
Imports: Rcpp (>= 1.0.2),GenomicFeatures, txdbmaker, parallel, foreach,
        S4Vectors, doParallel, Rsamtools (>= 1.31.2),
        GenomicAlignments, heatmaply, data.table, stats, ggplot2,
        GenomicRanges, IRanges, plyr, plotly, utils,viridis
LinkingTo: Rcpp, RcppArmadillo,S4Vectors,IRanges
NeedsCompilation: yes
Packaged: 2024-05-01 03:28:45 UTC; biocbuild
Suggests: knitr,rmarkdown,formatR
VignetteBuilder: knitr
BugReports: https://github.com/jipingw/DegNorm/issues
git_url: https://git.bioconductor.org/packages/DegNorm
git_branch: RELEASE_3_19
git_last_commit: 0e96e09
git_last_commit_date: 2024-04-30
Repository: Bioconductor 3.19
Date/Publication: 2024-04-30

=== debian/changelog ===
r-bioc-degnorm (1.14.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:27:20 +0200

r-bioc-degnorm (1.14.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 15:18:09 +0200

r-bioc-degnorm (1.14.0+ds-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: add new build-dep r-bioc-txdbmaker
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 15:10:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,26 @@
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-bioc-genomicfeatures,
+               r-bioc-genomicfeatures (>= 1.56.0),
                r-cran-foreach,
-               r-bioc-s4vectors,
+               r-bioc-s4vectors (>= 0.42.1),
                r-cran-doparallel,
-               r-bioc-rsamtools,
-               r-bioc-genomicalignments,
+               r-bioc-rsamtools (>= 2.20.0),
+               r-bioc-genomicalignments (>= 1.40.0),
                r-cran-heatmaply,
                r-cran-data.table,
                r-cran-ggplot2,
-               r-bioc-genomicranges,
-               r-bioc-iranges,
+               r-bioc-genomicranges (>= 1.56.1),
+               r-bioc-iranges (>= 2.38.1),
                r-cran-plyr,
                r-cran-plotly,
                r-cran-viridis,
-               r-cran-rcpparmadillo
+               r-cran-rcpparmadillo,
+               r-bioc-txdbmaker
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-degnorm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-degnorm.git
@@ -33,7 +35,13 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-genomicfeatures (>= 1.56.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-rsamtools (>= 2.20.0),
+         r-bioc-genomicalignments (>= 1.40.0),
+         r-bioc-genomicranges (>= 1.56.1),
+         r-bioc-iranges (>= 2.38.1)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: DegNorm: degradation normalization for RNA-seq data

## r-bioc-degnorm 1.16.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DegNorm
 Type: Package
 Title: DegNorm: degradation normalization for RNA-seq data
-Version: 1.14.0
+Version: 1.16.0
 Date: 2024-03-26
 Author: Bin Xiong and Ji-Ping Wang
 Maintainer: Ji-Ping Wang <jzwang@northwestern.edu>
@@ -17,13 +17,13 @@
         GenomicRanges, IRanges, plyr, plotly, utils,viridis
 LinkingTo: Rcpp, RcppArmadillo,S4Vectors,IRanges
 NeedsCompilation: yes
-Packaged: 2024-05-01 03:28:45 UTC; biocbuild
+Packaged: 2024-10-30 00:24:15 UTC; biocbuild
 Suggests: knitr,rmarkdown,formatR
 VignetteBuilder: knitr
 BugReports: https://github.com/jipingw/DegNorm/issues
 git_url: https://git.bioconductor.org/packages/DegNorm
-git_branch: RELEASE_3_19
-git_last_commit: 0e96e09
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: c2580b9
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29

=== debian/changelog ===
r-bioc-degnorm (1.16.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 08:35:18 +0100

r-bioc-degnorm (1.16.0+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 17:28:18 +0100

=== debian/control ===
Source: r-bioc-degnorm
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-bioc-genomicfeatures,
               r-bioc-txdbmaker,
               r-cran-foreach,
               r-bioc-s4vectors,
               r-cran-doparallel,
               r-bioc-rsamtools,
               r-bioc-genomicalignments,
               r-cran-heatmaply,
               r-cran-data.table,
               r-cran-ggplot2,
               r-bioc-genomicranges,
               r-bioc-iranges,
               r-cran-plyr,
               r-cran-plotly,
               r-cran-viridis,
               r-cran-rcpparmadillo,
               architecture-is-64-bit
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-degnorm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-degnorm.git
Homepage: https://bioconductor.org/packages/DegNorm/
Rules-Requires-Root: no

Package: r-bioc-degnorm
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: DegNorm: degradation normalization for RNA-seq data
 This package performs degradation normalization in bulk RNA-seq data to
 improve differential expression analysis accuracy.
